## terminator 0.98

=== doc/apidoc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/terminatorlib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/terminatorlib.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/terminatorlib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/terminatorlib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/manual/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  spelling   to run the spell checker extension on the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Terminator.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Terminator.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Terminator"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Terminator"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Build finished. The spelling results are in $(BUILDDIR)/html."

## terminator 0.96

=== debian/changelog ===
terminator (0.96-2ubuntu0.1) raring-proposed; urgency=low

  * Add drag_crash.patch: Cherrypicked patch (rev 1357), "Extra guarding
    against crashy gtk functions", to fix crash when dragging a terminal
    window to a new horizontal position within another window.
    (LP: #951236)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 11 Sep 2013 19:17:31 -0700

terminator (0.96-2fakesync1) raring-proposed; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #1054095).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 09 Nov 2012 15:44:12 -0500

terminator (0.96-2) unstable; urgency=low

  * Migrate from cdbs to dh.
    + Add terminator.links.
    + Remove cdbs from B-D.
  * Don't ship icon-theme.cache file. (Closes: #684873)
    + Remove libgtk2.0-bin from B-D and Depends.
  * Bump debhelper version to 8.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 21 Aug 2012 20:29:34 -0500

terminator (0.96-1) unstable; urgency=low

  [Nicolas Valcárcel Scerpella]
  * New upstream release (Closes: #649496)
  * Update Maintainer Field (Closes: #680904)
  * Update Standards version to 3.9.2

  [Julián Moreno Patiño]
  * Add myself to Uploaders, with permission from
    Nicolas Valcárcel Scerpella.
  * Remove XS-Python-Version and XB-Python-Version from
    debian/control.
  * Add X-Python-Version to debian/control.
  * Remove B-D-I from debian/control.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.9.3.
    + Update debian/copyright to copyright-format 1.0.
  * Remove simple-patchsys.mk from debian/rules,
    already deprecated.
  * Add python-vars.mk in debian/rules to check
    some python packaging validations.
  * Remove DEB_PYTHON_SYSTEM from debian/rules,
    already deprecated.
  * Add DEB_PYTHON2_MODULE_PACKAGES in debian/rules,
    to use dh_python2 support.
  * Bump python version in debian/control to use dh_python2
    support.
  * Bump cdbs version to 0.4.90~.
  * Use set -e instead #!/bin/sh -e in terminator.postinst,
    terminator.preinst, terminator.prerm scripts.
  * Add 00_fix_typo_manpage.diff patch to fix typo.
  * Remove debian/README.source, it's not necessary.
  * Add libgtk2.0-bin to B-D.
  * wrap-and-sort control file.
  * Add python-notify to Recommends. (Closes: #626255)

 -- Julián Moreno Patiño <julian@debian.org>  Sat, 11 Aug 2012 11:58:27 -0500

terminator (0.95-1) unstable; urgency=low

  * New upstream release
  * Update Standards version to 3.9.1
  * Update Maintainer field
  * Update debian/copyright

 -- Nicolas Valcárcel Scerpella <nicolas.valcarcel@canonical.com>  Fri, 27 Aug 2010 20:06:28 -0500

terminator (0.93-1) unstable; urgency=low

  * New upstream release
  * Remove terminator_config.patch, included upstream.

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Thu, 15 Apr 2010 17:50:46 -0500

terminator (0.92-1) unstable; urgency=low

  * New upstream release
  * Remove python-xdg from Recommends. (Closes: #567967)
  * Downgrade python-gnome2 to Recommends.
  * Update python-gtk2 dependency to (>= 2.14.0)
  * Add python-keybinder to Recommends
  * Add terminator_config.patch:
    - Remove palette's default value in terminator_config man page 
      to satisfy lintian.
  * Bumped standars to 3.8.4

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Mon, 12 Apr 2010 11:42:57 -0500

terminator (0.14-1) unstable; urgency=low

  * New upstream release
  * Dropped debian/patches/10_terminator_annoying_notification.patch: 
    included upstream
  * Bump Standard version to 3.8.3

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Thu, 03 Dec 2009 16:20:06 -0500

terminator (0.13+ds1-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/10_terminator_annoying_notification.patch:
    New patch. Don't popup a notification everytime you close
    terminator.

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Tue, 14 Jul 2009 22:23:23 +0200

terminator (0.13+ds1-1) unstable; urgency=low

  * New upstream release
    (debian and .bzr directories removed from upstream tarball)
    (debian and .bzr directories removed from upstream tarball)
  * Droped 01_change_interpreter.patch, fixed upstream
  * Migrate from python-central to python-support
  * Added intltool to build-depends to avoid it FTBFS
  * Bumped starndards version
  * Mangle debian version in watch file
  * Bumped XS-Python-Version to >=2.5
  * Install terminator in a private directory (/usr/share/terminator)
  * Remove terminator.desktop file in clean rule

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Tue, 30 Jun 2009 17:22:48 -0500

terminator (0.12-2) unstable; urgency=low

  * Fix incorrect use of update-alternatives (Closes: #509667)
  * Change e-mail address in Maintainer field.

 -- Nicolas Valcárcel Scerpella <nvalcarcel@canonical.com>  Mon, 09 Mar 2009 10:48:37 -0500

terminator (0.12-1) unstable; urgency=low

  [ Nicolas Valcárcel ]
  * New upstream release (Closes: #512502)
  * Removed:
    - 02_terminator_config.patch
    - 03_bad_config_file_handling_behabior.patch
  * Increment x-terminal-emulator priority to avoid gnome-terminal override
  * Added pycompat

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Marco Rodrigues ]
  * debian/terminator.postinst:
    + Add -e option to sh to remove
      lintian warning.
  * debian/terminator.prerm:
    + Add -e option to sh to remove
      lintian warning.

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Wed, 21 Jan 2009 08:30:15 -0500

terminator (0.11-2) unstable; urgency=low

  * Added 03_bad_config_file_handling_behabior.patch:
    - Fix a bad config file handling behaviour.

 -- Nicolas Valcárcel <nvalcarcel@gmail.com>  Wed, 24 Sep 2008 23:40:20 -0500

terminator (0.11-1) unstable; urgency=low

  * New upstream release.
  * Fixed whatis entry on terminator_config manpage



=== debian/control ===
Source: terminator
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Valcárcel Scerpella <nvalcarcel@gmail.com>
Uploaders: Rudy Godoy Guillén <rudy@debian.org>,
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
 Julián Moreno Patiño <julian@debian.org>
Build-Depends: debhelper (>= 8),
 intltool,
 python (>= 2.6.6-3~)
X-Python-Version: >= 2.5
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/python-apps/packages/terminator/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/terminator/trunk/
Homepage: http://www.tenshu.net/terminator/

Package: terminator
Architecture: all
Depends: gconf2,
 python-gobject,
 python-gtk2 (>= 2.14.0),
 python-vte,
 ${misc:Depends},
 ${python:Depends}
Provides: x-terminal-emulator
Recommends: python-gnome2, python-keybinder, python-notify, xdg-utils
Description: multiple GNOME terminals in one window
 Terminator is a little project to produce an efficient way of
 filling a large area of screen space with terminals.
 .
 The user can have multiple terminals in one window and use
 key bindings to switch between them. See the manpage for
 details.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+$// \
http://launchpad.net/terminator/+download .*/terminator_(.+)\.tar\.gz

## terminator 0.97

=== debian/changelog ===
terminator (0.97-2ubuntu0.1) trusty; urgency=medium

  [ Stephen Boddy ]
  * Backport patch for tabs with multiple terminals not closing. (LP: #1253995)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Mon, 28 Jul 2014 09:42:39 -0500

terminator (0.97-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Julián Moreno Patiño ]
  * Add patch to fix unfocused terminal font brightness. (Closes: #715414)
  * Add patch to fix maximize problem on Fluxbox. (Closes: #706600)
  * Add patch to fix typo in spanish po file. (Closes: #717570)
  * Add patch to add keywords entry to the desktop file.

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 16 Oct 2013 17:32:38 -0500

terminator (0.97-1) unstable; urgency=low

  * New upstream release.
    + Repack upstream tarball to remove bazar repo files,
      pyc files, .project, .pydevproject files and debian folder.
  * debian/watch: Update regular expression.
  * debian/patches/00_fix_typo_manpage.diff: Remove patch,
    merge with upstream.
  * debian/patches/fi-po.diff: Add patch to fix typo. (Closes: #686175)
  * debian/control:
    + Add python-dbus to Depends.
    + Bump Standards Version to 3.9.4.
    + Bump debhelper version to 9.
  * debian/compat: Bump compat level 5 to 9.

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 01 May 2013 17:40:18 -0500

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
 Uploaders: Rudy Godoy Guillén <rudy@debian.org>,
  Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
  Julián Moreno Patiño <julian@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
  intltool,
  python (>= 2.6.6-3~)
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/terminator/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/terminator/trunk/
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/terminator/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/terminator/trunk/
 Homepage: http://www.tenshu.net/terminator/
 
 Package: terminator
 Architecture: all
 Depends: gconf2,
+ python-dbus,
  python-gobject,
  python-gtk2 (>= 2.14.0),
  python-vte,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py \
	--without-icon-cache \
	install \
	--install-lib=usr/share/terminator/ \
	--install-data=usr/ \
	--install-scripts=usr/share/terminator/ \
	--root=$(CURDIR)/debian/terminator/ \
	--no-compile -O0

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_clean:
	rm -rf build/
	rm -f data/terminator.desktop
	rm -f po/.intltool-merge-cache
	find . -name '*.pyc' -delete

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+$// \
http://launchpad.net/terminator/+download .*/terminator[:?_|-](.+)\.tar\.gz

## terminator 0.97-2ubuntu1

=== debian/changelog ===
terminator (0.97-2ubuntu1) saucy; urgency=low

  * trunk from 20140322

 -- Gerald Hochegger <gerald.hochegger@aau.at>  Sat, 22 Mar 2014 01:41:42 +0100

terminator (0.97~ppa3) saucy; urgency=low

  * No-change upload for saucy

 -- Chris Jones <cmsj@tenshu.net>  Tue, 30 Apr 2013 10:10:49 +0100

terminator (0.97~ppa2) raring; urgency=low

  * No-change upload for raring

 -- Chris Jones <cmsj@tenshu.net>  Tue, 30 Apr 2013 10:09:08 +0100

terminator (0.97~ppa1) quantal; urgency=low

  * No-change upload for quantal

 -- Chris Jones <cmsj@tenshu.net>  Tue, 30 Apr 2013 10:08:19 +0100

terminator (0.97) precise; urgency=low

  * New upstream release of 0.97

 -- Chris Jones <cmsj@tenshu.net>  Tue, 30 Apr 2013 08:54:00 +0100

terminator (0.96ppa6) oneiric; urgency=low

  * No-change rebuild for oneiric PPA

 -- Chris Jones <cmsj@tenshu.net>  Wed, 28 Sep 2011 09:31:37 +0100

terminator (0.96ppa5) lucid; urgency=low

  * No-change rebuild for lucid PPA

 -- Chris Jones <cmsj@tenshu.net>  Wed, 28 Sep 2011 09:31:09 +0100

terminator (0.96ppa4) maverick; urgency=low

  * No-change rebuild for maverick PPA

 -- Chris Jones <cmsj@tenshu.net>  Wed, 28 Sep 2011 09:30:25 +0100

terminator (0.96ppa3) natty; urgency=low

  * Update packaging to include remotinator

 -- Chris Jones <cmsj@tenshu.net>  Wed, 28 Sep 2011 09:24:02 +0100

terminator (0.96ppa2) natty; urgency=low

  * No-change rebuild for natty

 -- Chris Jones <cmsj@tenshu.net>  Fri, 23 Sep 2011 22:02:58 +0100

terminator (0.96ppa1) maverick; urgency=low

  * No-change rebuild for maverick

 -- Chris Jones <cmsj@tenshu.net>  Fri, 23 Sep 2011 22:02:02 +0100

terminator (0.96) lucid; urgency=low

  * New upstream release of 0.96

 -- Chris Jones <cmsj@tenshu.net>  Fri, 23 Sep 2011 21:44:38 +0100

terminator (0.95ppa2) karmic; urgency=low

  * No-change rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Tue, 24 Aug 2010 22:24:59 +0100

terminator (0.95ppa1) maverick; urgency=low

  * No-change rebuild for maverick

 -- Chris Jones <cmsj@tenshu.net>  Tue, 24 Aug 2010 22:24:20 +0100

terminator (0.95) lucid; urgency=low

  * New upstream release of 0.95

 -- Chris Jones <cmsj@tenshu.net>  Tue, 24 Aug 2010 21:42:51 +0100

terminator (0.94) lucid; urgency=low

  * New upstream release of 0.94

 -- Chris Jones <cmsj@tenshu.net>  Sun, 04 Jul 2010 18:48:52 +0100

terminator (0.93ppa2) karmic; urgency=low

  * Nochange rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Thu, 15 Apr 2010 21:16:00 +0100

terminator (0.93ppa1) lucid; urgency=low

  * New upstream release of 0.93

 -- Chris Jones <cmsj@tenshu.net>  Thu, 15 Apr 2010 21:15:18 +0100

terminator (0.92ppa2) karmic; urgency=low

  * Nochange rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Wed, 07 Apr 2010 22:42:51 +0100

terminator (0.92ppa1) lucid; urgency=low

  * Nochange rebuild for lucid

 -- Chris Jones <cmsj@tenshu.net>  Wed, 07 Apr 2010 22:41:19 +0100

terminator (0.92) lucid; urgency=low

  * New upstream release of 0.92

 -- Chris Jones <cmsj@tenshu.net>  Wed, 07 Apr 2010 21:36:56 +0100

terminator (0.91ppa4) karmic; urgency=low

  * Nochange rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Wed, 31 Mar 2010 22:09:52 +0100

terminator (0.91ppa3) lucid; urgency=low

  * Drop in one more fix

 -- Chris Jones <cmsj@tenshu.net>  Wed, 31 Mar 2010 22:09:16 +0100

terminator (0.91ppa2) lucid; urgency=low

  * Nochange rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Wed, 31 Mar 2010 10:58:13 +0100

terminator (0.91ppa1) lucid; urgency=low

  * New upstream release of 0.91

 -- Chris Jones <cmsj@tenshu.net>  Wed, 31 Mar 2010 10:55:33 +0100

terminator (0.90ppa3) karmic; urgency=low

  * Nochange rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Tue, 30 Mar 2010 23:56:37 +0100

terminator (0.90ppa2) lucid; urgency=low

  * Fix a stupid release bug

 -- Chris Jones <cmsj@tenshu.net>  Tue, 30 Mar 2010 23:55:39 +0100

terminator (0.90ppa1) karmic; urgency=low

  * Nochange rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Tue, 30 Mar 2010 23:04:32 +0100

terminator (0.90) lucid; urgency=low

  * Upstream release of 0.90

 -- Chris Jones <cmsj@tenshu.net>  Tue, 30 Mar 2010 22:51:21 +0100

terminator (0.90-beta3ppa1) karmic; urgency=low

  * Nochange rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Mon, 15 Mar 2010 20:19:10 +0000

terminator (0.90-beta3) lucid; urgency=low

  * Third upstream pre-release

 -- Chris Jones <cmsj@tenshu.net>  Mon, 15 Mar 2010 20:17:53 +0000

terminator (0.90-beta2ppa1) karmic; urgency=low

  * Nochange rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Tue, 09 Feb 2010 21:46:24 +0000

terminator (0.90-beta2) lucid; urgency=low

  * Second upstream pre-release

 -- Chris Jones <cmsj@tenshu.net>  Tue, 09 Feb 2010 21:45:12 +0000

terminator (0.90-beta1ppa1) karmic; urgency=low

  * Nochange rebuild for karmic

 -- Chris Jones <cmsj@tenshu.net>  Fri, 05 Feb 2010 00:23:39 +0000

terminator (0.90-beta1) lucid; urgency=low

  * New upstream pre-release

 -- Chris Jones <cmsj@tenshu.net>  Tue, 05 Jan 2010 09:56:27 +0000

terminator (0.14) karmic; urgency=low

  *  New upstream release

 -- Chris Jones <cmsj@tenshu.net>  Thu, 03 Dec 2009 12:54:57 +0000

terminator (0.13) karmic; urgency=low

  *  New upstream release

 -- Chris Jones <cmsj@tenshu.net>  Fri, 29 May 2009 21:51:09 +0200

terminator (0.12) intrepid; urgency=low

  *  New upstream release

 -- Chris Jones <cmsj@tenshu.net>  Thu, 15 Jan 2009 00:20:34 +0000

terminator (0.11) intrepid; urgency=low

  *  New upstream release.

 -- Chris Jones <cmsj@tenshu.net>  Fri, 19 Sep 2008 18:28:54 +0100

terminator (0.10) hardy; urgency=low

  *  New upstream release.

 -- Chris Jones <cmsj@tenshu.net>  Wed, 27 Aug 2008 01:34:27 +0100

terminator (0.9) hardy; urgency=low

  * New upstream release

 -- Chris Jones <cmsj@tenshu.net>  Mon, 07 Jul 2008 22:56:35 +0100

terminator (0.9~rc3) hardy; urgency=low

  * Soyuz hates me.



## terminator 0.98

=== debian/changelog ===
terminator (0.98-1) unstable; urgency=medium

  * New upstream release. (Closes: #778874, #803666)
  * Remove patches, merge with upstream.
    + es-po.diff
    + fi-po.diff
    + fix-maximize.diff
    + fix-split-multiple-tabs.diff
    + fix-tab-with-multiple-terminals-not-closing.diff
    + fix-unfocused-font-brightness.diff
    + x-terminal-emulator-fix.diff, better aproach from upstream.
  * d/watch, Add support for signing tarballs.
  * Add force_xdg-open.diff patch to force open default
    web browser. (Closes: #648446)
    + Thanks to Eduard Bloch for it.
  * Add not-install-doc.diff patch to avoid to install
    documentation, a lot of prebuilt javascript object
    that aren't in the GNU Debian archive.
  * Add not-install-terminator-wrapper.diff patch to
    avoid to install terminator.wrapper file.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Add dh-python to B-D.
  * Use pybuild to build the package.

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 23 Dec 2015 11:40:07 -0500

terminator (0.97-4) unstable; urgency=medium

  * Add patch to fix tab with multiple terminals
    not closing. (Closes: #756300 LP: #1253995)
    + Thanks to Stephen Boddy and Chris J Arges
      for it.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 05 Aug 2014 16:20:15 -0500

terminator (0.97-3) unstable; urgency=medium

  * Add patch to fix -e parameter to work as
    x-terminal-emulator. (Closes: #734655 LP: #366644)
    + Thanks to Neal Fultz for it.
  * Add patch to fix splits not being central
    with multiple tabs. (Closes: #752658)
    + Thanks to Justin Ossevoort for it.
  * Update Homepage in d/control. (Closes: #740056)
    + Thanks to Richard Hartmann for it.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Extend debian copyright holder years.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 01 Jul 2014 15:06:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: terminator
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Valcárcel Scerpella <nvalcarcel@gmail.com>
+Maintainer: Nicolas Valcárcel Scerpella <nvalcarcel@gmail.com>
 Uploaders: Rudy Godoy Guillén <rudy@debian.org>,
  Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
  Julián Moreno Patiño <julian@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9), dh-python,
  intltool,
- python (>= 2.6.6-3~)
+ python (>= 2.6.6-3~),
+ python-gtk2 (>= 2.14.0)
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/terminator/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/terminator/trunk/
-Homepage: http://www.tenshu.net/terminator/
+Homepage: http://gnometerminator.blogspot.com/p/introduction.html
 
 Package: terminator
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
+export PYBUILD_NAME=terminator
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --buildsystem=pybuild
 
 override_dh_auto_install:
 	python setup.py \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+$//,pgpsigurlmangle=s/$/.asc/ \
http://launchpad.net/terminator/+download .*/terminator[:?_|-](.+)\.tar\.gz

## terminator 1.90

=== debian/changelog ===
terminator (1.90-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * New upstream release. Closes: #807668, #809343, #818635, #833901.
  * debian/rules: Add get-orig-source rule.
  * debian/control: Update (build-)dependencies.
    + Depends on the new vte 2.91. Closes: #790190.
  * debian/patches/force_xdg-open.diff: Remove, upstream is not using that code
    anymore.
  * debian/patches/gi-require-exception.diff: New patch. Catch all exception
    types when importing gi modules, as gi.require_version throws ValueErrors
    when a module is not available.
  * debian/control: Add myself to Uploaders.

  [ Julián Moreno Patiño ]
  * debian/control: Bump Standards-Version to 3.9.8 (no changes).
    + Use HTTPS transport protocol for Vcs-Browser URI
    + Add python-gi-cairo to Depends.
  * debian/patches/fix-spelling-errors.diff, Fix spelling errors in the manpage.
  * debian/patches/not-install-terminator-wrapper.diff, Refresh offset.
  * debian/patches/not-install-doc.diff, Remove, not include it by upstream
    anymore.
  * debian/copyright: Extend debian copyright holder years.
    + Add Emilio Pozuelo Monfort to debian copyright.

 -- Julián Moreno Patiño <julian@debian.org>  Sat, 26 Nov 2016 20:21:28 -0500

=== debian/control ===
Source: terminator
Section: misc
Priority: optional
Maintainer: Nicolas Valcárcel Scerpella <nvalcarcel@gmail.com>
Uploaders: Rudy Godoy Guillén <rudy@debian.org>,
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
 Julián Moreno Patiño <julian@debian.org>,
 Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 intltool,
 python (>= 2.6.6-3~),
 python-cairo,
 python-dbus,
 python-gi,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-vte-2.91,
X-Python-Version: >= 2.5
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/terminator/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/terminator/trunk/
Homepage: http://gnometerminator.blogspot.com/p/introduction.html

Package: terminator
Architecture: all
Depends:
 python-cairo,
 python-dbus,
 python-gi,
 python-gi-cairo,
 python-psutil,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-vte-2.91,
 ${misc:Depends},
 ${python:Depends}
Provides: x-terminal-emulator
Recommends: gir1.2-keybinder-3.0, gir1.2-notify-0.7, gir1.2-gconf-2.0, xdg-utils
Description: multiple GNOME terminals in one window
 Terminator is a little project to produce an efficient way of
 filling a large area of screen space with terminals.
 .
 The user can have multiple terminals in one window and use
 key bindings to switch between them. See the manpage for
 details.

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,13 @@
 	rm -f data/terminator.desktop
 	rm -f po/.intltool-merge-cache
 	find . -name '*.pyc' -delete
+
+DEBVERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+REV := $(shell echo $(DEBVERSION) | cut -d'-' -f3)
+VER := $(shell echo $(DEBVERSION) | cut -d'-' -f-3)
+
+get-orig-source:
+	bzr branch -r $(REV) lp:terminator/gtk3
+	rm -rf gtk3/.bzr*
+	mv gtk3 terminator-$(VER)
+	tar cJf terminator_$(VER).orig.tar.xz terminator-$(VER)

## terminator 1.90+bzr-1705

=== debian/changelog ===
terminator (1.90+bzr-1705-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control: Remove Rudy Godoy Guillén from uploaders. Closes: #846795.
  * debian/rules: Update get-orig-source rule.
  * debian/patches/fix-spelling-errors.diff: Removed, merged upstream.
  * debian/patches/subwindows-zero-size.patch:
    + New patch, fix subterminal size when splitting a terminal.
      Closes: #846307.
  * Refresh patches.
  * debian/control: Drop gir1.2-gconf-2.0 from recommends, no longer used.
  * Switch URLs to https.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 26 Jan 2017 17:38:15 +0100

## terminator 1.91

=== debian/changelog ===
terminator (1.91-1) unstable; urgency=medium

  * New upstream release. Closes: #858168.
  * debian/upstream/signing-key.asc:
    + Add new upstream key.
  * debian/patches/add-keywords-entry.diff,
    debian/patches/gi-require-exception.diff,
    debian/patches/subwindows-zero-size.patch:
    + Delete patches merged upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 29 Jun 2017 20:30:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicolas Valcárcel Scerpella <nvalcarcel@gmail.com>
-Uploaders: Rudy Godoy Guillén <rudy@debian.org>,
- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
+Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
  Julián Moreno Patiño <julian@debian.org>,
  Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
@@ -20,7 +19,7 @@
 Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/terminator/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/terminator/trunk/
-Homepage: http://gnometerminator.blogspot.com/p/introduction.html
+Homepage: https://gnometerminator.blogspot.com/p/introduction.html
 
 Package: terminator
 Architecture: all
@@ -37,7 +36,7 @@
  ${misc:Depends},
  ${python:Depends}
 Provides: x-terminal-emulator
-Recommends: gir1.2-keybinder-3.0, gir1.2-notify-0.7, gir1.2-gconf-2.0, xdg-utils
+Recommends: gir1.2-keybinder-3.0, gir1.2-notify-0.7, xdg-utils
 Description: multiple GNOME terminals in one window
  Terminator is a little project to produce an efficient way of
  filling a large area of screen space with terminals.

=== debian/rules ===
--- 
+++ 
@@ -25,12 +25,14 @@
 	rm -f po/.intltool-merge-cache
 	find . -name '*.pyc' -delete
 
+# version should be X.Y+bzr-REV-1, e.g. 1.90+bzr-1705-1 for bzr r1705
 DEBVERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-REV := $(shell echo $(DEBVERSION) | cut -d'-' -f3)
-VER := $(shell echo $(DEBVERSION) | cut -d'-' -f-3)
+REV := $(shell echo $(DEBVERSION) | cut -d'-' -f2)
+VER := $(shell echo $(DEBVERSION) | cut -d'-' -f-2)
 
 get-orig-source:
 	bzr branch -r $(REV) lp:terminator/gtk3
 	rm -rf gtk3/.bzr*
 	mv gtk3 terminator-$(VER)
 	tar cJf terminator_$(VER).orig.tar.xz terminator-$(VER)
+	rm -rf terminator-$(VER)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+$//,pgpsigurlmangle=s/$/.asc/ \
https://launchpad.net/terminator/+download .*/terminator[:?_|-](.+)\.tar\.gz

## terminator 1.92

=== debian/changelog ===
terminator (1.92-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Markus Frosch ]
  * [864a8b8] rules: Remove any icon cache file after install (Closes: #959856)

 -- Markus Frosch <lazyfrosch@debian.org>  Thu, 21 May 2020 22:02:22 +0200

terminator (1.92-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Markus Frosch ]
  * [0c68e8c] Add gitlab-ci config
  * [c6ab195] Switch upstream to GitHub gnome-terminator/terminator
    (Closes: #955990)
  * [81f915b] New upstream version 1.92
    (Closes: #955383 Closes: #953153)
  * [aef361a] Remove obsolete Python 3 patches
  * [eafb65b] Update appdata_improvement patch
  * [b7fb000] rules: Remove get-orig-source
  * [b609ccf] rules: Improve clean
  * [9057a46] control: Raise debhelper compat to 12
  * [3e0ebab] rules: Use proper pybuild instead of manual install
  * [f04db82] control: Bump Standards to 4.5.0

 -- Markus Frosch <lazyfrosch@debian.org>  Sun, 19 Apr 2020 14:24:30 +0200

terminator (1.91-4) unstable; urgency=medium

  * [3e6b8de] Add appdata_improvement.patch
  * [5c47f94] Add patch to fix Drag&Drop under Python 3
  * [7ba33fe] Add patch to fix Python 3 related issues with layout selection
    (Closes: #921824)

 -- Markus Frosch <lazyfrosch@debian.org>  Thu, 28 Feb 2019 21:16:02 +0100

terminator (1.91-3) unstable; urgency=medium

  * [b66175a] control: Add missing dependency on dbus-x11 (Closes: #918149)
  * [dab2e77] patch: Install appdata to /usr/share/metainfo
  * [709e1ad] control: Give maintainer to the python-apps-team
  * [11b155c] control: Add myself as uploader

 -- Markus Frosch <lazyfrosch@debian.org>  Fri, 01 Feb 2019 10:38:56 +0100

terminator (1.91-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Emilio Pozuelo Monfort ]
  * debian/patches/python3.diff: port to Python 3.
  * debian/control, debian/rules: update for Python 3.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 24 Apr 2018 20:24:15 +0200

=== debian/control ===
Source: terminator
Section: misc
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders:
 Nicolas Valcárcel Scerpella <nvalcarcel@gmail.com>,
 Julián Moreno Patiño <julian@debian.org>,
 Emilio Pozuelo Monfort <pochu@debian.org>,
 Markus Frosch <lazyfrosch@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 intltool,
 python3,
 python3-distutils,
 python3-cairo,
 python3-configobj,
 python3-dbus,
 python3-gi,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-vte-2.91,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/applications/terminator.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/terminator
Homepage: https://github.com/gnome-terminator/terminator

Package: terminator
Architecture: all
Depends:
 python3-cairo,
 python3-configobj,
 python3-dbus,
 python3-gi,
 python3-gi-cairo,
 python3-psutil,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-vte-2.91,
 dbus-x11,
 ${misc:Depends},
 ${python3:Depends}
Provides: x-terminal-emulator
Recommends: gir1.2-keybinder-3.0, gir1.2-notify-0.7, xdg-utils
Description: multiple GNOME terminals in one window
 Terminator is a little project to produce an efficient way of
 filling a large area of screen space with terminals.
 .
 The user can have multiple terminals in one window and use
 key bindings to switch between them. See the manpage for
 details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/
	rm -f data/terminator.desktop
	rm -f data/terminator.appdata.xml
	rm -f po/.intltool-merge-cache
	find . -name '*.pyc' -delete

override_dh_auto_install:
	dh_auto_install
	# Remove cache files that should not be included in package
	# Upstream will remove this
	find debian/terminator/usr/share/icons -name "*.cache" -delete
